Brands
curl --request GET \
--url https://api.urldna.io/v1/brands \
--header 'authorization: <authorization>'import requests
url = "https://api.urldna.io/v1/brands"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.urldna.io/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"private_brand": true,
"visibility": "PREMIUM",
"category": "<string>"
}
]{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}Endpoints
Brands
Retrieves brands available to the user for monitoring brand-related scans. Supports filtering by visibility level and searching by name.
GET
/
v1
/
brands
Brands
Headers
Query Parameters
Search query to filter brands.
Maximun number of brands retreived per page
Required range:
1 <= x <= 20Page number for pagination (1-indexed).
Required range:
x >= 1Response
Successful Response
Unique brand identifier.
The official name of the brand.
When true, brand is visible only to the creating user.
Defines the access level of the brand data. 'PREMIUM' brands require a subscription to access full intelligence, while 'FREE' brands are publicly available.
Available options:
PREMIUM, FREE The industry sector or vertical the brand belongs to. This is a generic classification such as 'Retail & E-commerce', 'FinTech, Crypto & Blockchain', or 'Technology & Telecom'.
